pcl::SVMData Struct Reference

The structure stores the features and the label of a single sample which has to be used for the training or the classification of the SVM (Support Vector Machines). More...

`#include <pcl/ml/svm_wrapper.h>`

## Public Member Functions

| SVMData ()

## Public Attributes

double | label
std::vector< pcl::SVMDataPoint > | SV

## Detailed Description

The structure stores the features and the label of a single sample which has to be used for the training or the classification of the SVM (Support Vector Machines).

Definition at line 117 of file svm_wrapper.h.

## Constructor & Destructor Documentation

## SVMData()

pcl::SVMData::SVMData | ( |  | ) |

inline

Definition at line 122 of file svm_wrapper.h.

## Member Data Documentation

## label

double pcl::SVMData::label

Definition at line 119 of file svm_wrapper.h.

## SV

std::vector<pcl::SVMDataPoint> pcl::SVMData::SV

Definition at line 120 of file svm_wrapper.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/ml/include/pcl/ml/svm_wrapper.h